[android-components](../index.md) / [mozilla.components.support.ktx.android.content.res](./index.md)

## Package mozilla.components.support.ktx.android.content.res

### Properties

| Name | Summary |
|---|---|
| [locale](locale.md) | `val <ERROR CLASS>.locale: `[`Locale`](http://docs.oracle.com/javase/7/docs/api/java/util/Locale.html)<br>Returns the primary locale according to the user's preference. |

### Functions

| Name | Summary |
|---|---|
| [getSpanned](get-spanned.md) | `fun <ERROR CLASS>.getSpanned(id: `[`Int`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)`, vararg spanParts: `[`Pair`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-pair/index.html)`<`[`Any`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-any/index.html)`, `[`Any`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-any/index.html)`>): <ERROR CLASS>`<br>Returns the character sequence associated with a given resource [id](get-spanned.md#mozilla.components.support.ktx.android.content.res$getSpanned(, kotlin.Int, kotlin.Array((kotlin.Pair((kotlin.Any, )))))/id), substituting format arguments with additional styling spans. |
| [readJSONObject](read-j-s-o-n-object.md) | `fun <ERROR CLASS>.readJSONObject(fileName: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`): <ERROR CLASS>`<br>Read a file from the "assets" and create a a JSONObject from its content. |
| [resolveAttribute](resolve-attribute.md) | `fun <ERROR CLASS>.resolveAttribute(attribute: `[`Int`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)`): `[`Int`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)<br>Resolves the resource ID corresponding to the given attribute. |
